Loading...
Searching...
No Matches
spectrumPolyNode Class Reference

`#include <splist.h>`

## Public Member Functions

| spectrumPolyNode ()
| spectrumPolyNode (spectrumPolyNode *, poly, const Rational &, poly, const ring)
| ~spectrumPolyNode ()
void | copy_zero (void)
void | copy_shallow (spectrumPolyNode *, poly, const Rational &, poly, const ring)
void | copy_shallow (spectrumPolyNode &)

## Data Fields

spectrumPolyNode * | next
poly | mon
Rational | weight
poly | nf
ring | r

## Detailed Description

Definition at line 35 of file splist.h.

## Constructor & Destructor Documentation

## spectrumPolyNode() [1/2]

spectrumPolyNode::spectrumPolyNode | ( |  | ) |

Definition at line 80 of file splist.cc.

{
copy_zero( );
}
spectrumPolyNode::copy_zero
void copy_zero(void)
Definition splist.cc:40

## spectrumPolyNode() [2/2]

spectrumPolyNode::spectrumPolyNode | ( | spectrumPolyNode * | pnode,
|  | poly | m,
|  | const Rational & | w,
|  | poly | f,
|  | const ring | R )

Definition at line 89 of file splist.cc.

{
copy_shallow( pnode,m,w,f,R );
}
m
int m
Definition cfEzgcd.cc:128
f
FILE * f
Definition checklibs.c:9
spectrumPolyNode::copy_shallow
void copy_shallow(spectrumPolyNode *, poly, const Rational &, poly, const ring)
Definition splist.cc:53
w
const CanonicalForm & w
Definition facAbsFact.cc:51
R
#define R
Definition sirandom.c:27

## ~spectrumPolyNode()

spectrumPolyNode::~spectrumPolyNode | ( |  | ) |

Definition at line 99 of file splist.cc.

{
if( mon!=NULL ) p_Delete( &mon, r );
if( nf !=NULL ) p_Delete( &nf,r );
copy_zero( );
}
spectrumPolyNode::r
ring r
Definition splist.h:43
spectrumPolyNode::nf
poly nf
Definition splist.h:42
spectrumPolyNode::mon
poly mon
Definition splist.h:40
NULL
#define NULL
Definition omList.c:12
p_Delete
static void p_Delete(poly *p, const ring r)
Definition p_polys.h:903

## Member Function Documentation

## copy_shallow() [1/2]

void spectrumPolyNode::copy_shallow | ( | spectrumPolyNode & | node | ) |

Definition at line 67 of file splist.cc.

{
next = node.next;
mon = node.mon;
weight = node.weight;
nf = node.nf;
r = node.r;
}
spectrumPolyNode::next
spectrumPolyNode * next
Definition splist.h:39
spectrumPolyNode::weight
Rational weight
Definition splist.h:41

## copy_shallow() [2/2]

void spectrumPolyNode::copy_shallow | ( | spectrumPolyNode * | pnode,
|  | poly | m,
|  | const Rational & | w,
|  | poly | f,
|  | const ring | R )

Definition at line 53 of file splist.cc.

{
next = pnode;
mon = m;
weight = w;
nf = f;
r = R;
}

## copy_zero()

void spectrumPolyNode::copy_zero | ( | void |  | ) |

Definition at line 40 of file splist.cc.

{
next = (spectrumPolyNode*)NULL;
mon = NULL;
weight = (Rational)0;
nf = NULL;
r = NULL;
}
spectrumPolyNode::spectrumPolyNode
spectrumPolyNode()
Definition splist.cc:80

## Field Documentation

## mon

poly spectrumPolyNode::mon

Definition at line 40 of file splist.h.

## next

spectrumPolyNode* spectrumPolyNode::next

Definition at line 39 of file splist.h.

## nf

poly spectrumPolyNode::nf

Definition at line 42 of file splist.h.

## r

ring spectrumPolyNode::r

Definition at line 43 of file splist.h.

## weight

Rational spectrumPolyNode::weight

Definition at line 41 of file splist.h.

The documentation for this class was generated from the following files:

- kernel/spectrum/splist.h
- kernel/spectrum/splist.cc